Description: Avoid rubygems
Author: Jonas Smedegaard <dr@jones.dk>
Last-Update: 2014-05-02

--- a/cli/lib/compass/commands/extension_command.rb
+++ b/cli/lib/compass/commands/extension_command.rb
@@ -50,8 +50,8 @@
 
       # all commands must implement perform
       def perform
-        require 'rubygems/gem_runner'
-        Gem::GemRunner.new.run(options[:arguments])
+        puts "Debian use APT (not Gem) to manage code. Please use e.g. aptitude instead."
+        raise
       end
 
     end
--- a/cli/lib/compass/dependencies.rb
+++ b/cli/lib/compass/dependencies.rb
@@ -1,12 +1,7 @@
 begin
   require 'sass'
 rescue LoadError
-  require 'rubygems'
-  begin
-    require 'sass'
-  rescue LoadError
-    puts "Unable to load Sass. Please install it with one of the following commands:"
-    puts "  gem install sass --pre"
+    puts "Unable to load Sass. Please install it e.g. with the following command:"
+    puts "  aptitude install ruby-sass"
     raise
-  end
 end
--- a/cli/lib/compass/validator.rb
+++ b/cli/lib/compass/validator.rb
@@ -1,16 +1,15 @@
 begin
-  require 'rubygems'
   require 'compass-validator'
 rescue LoadError => e
   if e.message =~ /core_ext/
     raise Compass::MissingDependency, <<-ERRORMSG
 The Compass CSS Validator is out of date. Please upgrade it:
-sudo gem install compass-validator --version ">= 3.0.1"
+sudo aptitude -u install compass-validator
 ERRORMSG
   else
     raise Compass::MissingDependency, <<-ERRORMSG
 The Compass CSS Validator could not be loaded. Please install it:
-sudo gem install compass-validator
+sudo aptitude -u install compass-validator
 ERRORMSG
   end
 end
